Clipping of raster with GDAL may hang QGIS

2016-10-08 02:56 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GDAL

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 23603

Description

    -  load a 4326 raster

    -  reproject in 3857

    -  clip by selecting an extewnt on the canvas with either GDALTools or with Processing > GDAL

    -  the process ahnges forever, because the wrong coordinates are passed

Note: GDALTools can be interrupted, Processing not, so killing QGIS is the only way to stop the hung operation.

The expected behaviour is that the coordinates are reprojected in the CRS of the raster before passing them to gdal_translate

History

#1 - 2016-10-12 05:38 AM - Victor Olaya

- Status changed from Open to In Progress

The issue I see here is that the extent parameter has no CRS

We can make the assumption that it's in the Project CRS. That should be shown to the user in the parameters dialog, and all extents added automatically

(from canvas, from layers, etc), should be converted.

Then, when the algorithm is called, it should be reprojected in the algorithm CRS

What do you think of this? I cannot think of a clearer solution now

For 3.0, we can change the parameter value, so it contains a CRS as well, but that would be an api break, so not for 2.16

#2 - 2017-03-07 03:36 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Target version set to Version 2.18

- Affected QGIS version changed from 2.16.3 to 2.18.4

#3 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2017-10-23 11:25 AM - Alexander Bruy

- Description updated

- Status changed from In Progress to Feedback
Should be fixed in master

#5 - 2017-11-10 09:06 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary
